Package org.eclipse.ecf.provider.comm

# Class SynchEvent

java.lang.Object
org.eclipse.ecf.provider.comm.ConnectionEvent
org.eclipse.ecf.provider.comm.SynchEvent

All Implemented Interfaces:
  `Event`

public class SynchEvent extends ConnectionEvent
Synchronous connection event.

## Constructor Summary

Constructors
Constructor
Description
`SynchEvent(ISynchConnection conn, Object data)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.eclipse.ecf.provider.comm.ConnectionEvent

`getConnection, getData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SynchEvent

public SynchEvent(ISynchConnection conn, Object data)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `ConnectionEvent`